## org.apache.cassandra.db
Class SliceByNamesReadCommand

    java.lang.Object
      org.apache.cassandra.db.ReadCommand
          org.apache.cassandra.db.SliceByNamesReadCommand

    public class SliceByNamesReadCommand

extends ReadCommand

Field Summary
`java.util.SortedSet<byte[]>` `columnNames`

Fields inherited from class org.apache.cassandra.db.ReadCommand
`CMD_TYPE_GET_SLICE, CMD_TYPE_GET_SLICE_BY_NAMES, commandType, DO_REPAIR, EMPTY_CF, key, queryPath, table`

Constructor Summary
`SliceByNamesReadCommand(java.lang.String table, java.lang.String key, ColumnParent column_parent, java.util.Collection<byte[]> columnNames)`
`SliceByNamesReadCommand(java.lang.String table, java.lang.String key, QueryPath path, java.util.Collection<byte[]> columnNames)`

Method Summary
`ReadCommand` `copy()`
`Row` `getRow(Table table)`
`java.lang.String` `toString()`

Methods inherited from class org.apache.cassandra.db.ReadCommand
`getColumnFamilyName, getComparator, isDigestQuery, makeReadMessage, serializer, setDigestQuery`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### columnNames

    public final java.util.SortedSet<byte[]> columnNames

Constructor Detail

### SliceByNamesReadCommand

    public SliceByNamesReadCommand(java.lang.String table,
                                   java.lang.String key,
                                   ColumnParent column_parent,
                                   java.util.Collection<byte[]> columnNames)

### SliceByNamesReadCommand

    public SliceByNamesReadCommand(java.lang.String table,
                                   java.lang.String key,
                                   QueryPath path,
                                   java.util.Collection<byte[]> columnNames)

Method Detail

### copy

    public ReadCommand copy()

  Specified by:
    `copy` in class `ReadCommand`

### getRow

    public Row getRow(Table table)
               throws java.io.IOException

  Specified by:
    `getRow` in class `ReadCommand`
  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2010 The Apache Software Foundation